Create a connector

Base URL
https://{kibana_url}
  • POST /api/actions/action
  • POST /s/{space_id}/api/actions/action
Auth Deprecated

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

actionTypeId string required

The connector type identifier.

config map string to object · default: {}
name string required

The display name for the connector.

secrets map string to object · default: {}

Response

Indicates a successful call.

application/json
config map string to object
connector_type_id string required

The connector type identifier.

id string required

The identifier for the connector.

is_deprecated boolean required

Indicates whether the connector is deprecated.

is_missing_secrets boolean

Indicates whether the connector is missing secrets.

is_preconfigured boolean required

Indicates whether the connector is preconfigured. If true, the config and is_missing_secrets properties are omitted from the response.

is_system_action boolean required

Indicates whether the connector is used for system actions.

name string required

The name of the rule.

Base URL
https://{kibana_url}